TAU_ENABLE_INSTRUMEN(3)

NAME
TAU_ENABLE_INSTRUMENTATION - Enables instrumentation

SYNOPSIS

C/C++:

TAU_ENABLE_INSTRUMENTATION(void);

Fortran:

TAU_ENABLE_INSTRUMENTATION(void);

DESCRIPTION

TAU_ENABLE_INSTRUMENTATION macro re-enables all TAU instrumentation. All instances of functions and statements that occur between the disable/enable section are ignored by TAU. This allows a user to limit the trace size, if the macros are used to disable recording of a set of iterations that have the same characteristics as, for example, the first recorded instance.

EXAMPLE

C/C++ :

int main(int argc, char **argv) {
  foo();
  TAU_DISABLE_INSTRUMENTATION();
  for (int i =0; i < N; i++) {
    bar();  // not recorded
  }
  TAU_ENABLE_INSTRUMENTATION();
  bar(); // recorded
}

Fortran :

call TAU_DISABLE_INSTRUMENTATION()
call TAU_ENABLE_INSTRUMENTATION()

SEE ALSO

TAU_DISABLE_INSTRUMENTATION(3), TAU_ENABLE_GROUP(3), TAU_DISABLE_GROUP(3), TAU_INIT(3), TAU_PROFILE_INIT(3)